#!/usr/bin/env node
import l from "yargs";
import { hideBin as p } from "yargs/helpers";
import { PublishModeEnum as i } from "./utils/types.mjs";
import { PublishVersionTypeEnum as e } from "./utils/enums.mjs";
import { handler as t } from "./handler.mjs";
import r from "chalk";
import n from "./injectInfo.json.mjs";
const d = () => ({
  mode: {
    alias: "m",
    describe: "发布模式",
    choices: [i.NPM, i.WEB],
    default: i.NPM
  },
  type: {
    alias: "t",
    describe: "发布类型",
    choices: [
      e.MAJOR,
      e.MINOR,
      e.PATCH,
      e.PREMAJOR,
      e.PREMINOR,
      e.PREPATCH,
      e.PRERELEASE
    ]
  },
  push: {
    alias: "p",
    describe: "是否推送至远程仓库",
    type: "boolean",
    default: !0
  }
}), a = n.cliConfig.moduleName, u = (o, s) => {
  console.log(o ? r.red(o) : r.red(s.message)), process.exit(1);
}, f = n.description, g = `Usage: $0 ${a} [options]`, h = "Usage: $0 [options]", c = (o, s) => {
  const m = d();
  return o.strict().usage(s).help("help").version(n.version).alias("v", "version").alias("h", "help").options(m).fail(u).argv;
}, E = (o) => c(o, g), y = {
  command: a,
  describe: f,
  builder: E,
  handler: t
}, A = async () => {
  const o = l(p(process.argv)), s = await c(o, h);
  return t(s);
};
export {
  y as command,
  A as createCli
};
